Subject: Re: bug#40693: 28.0.50; json-encode-alist changes alist

From: Paul Eggert <[email-masked]>
Date: Sun, 19 Apr 2020 19:55:47 -0700

On 4/19/20 5:57 PM, Michael Heerdegen wrote:
>> How about if we change "Modifying a constant symbol signals an
>> error..." to "Changing a self-evaluating symbol's value signals an
>> error..."?
> Yes, better (though I would rather say "Trying to..." or "Attempting
> to..." - Emacs doesn't let you do this, i.e. you get the error before
> it's too late).

OK, I put it in with "Trying to". Also, I changed "self-evaluating symbol" to 
"Constant variable" because the latter class includes the former, and also 
includes a few variables like most-positive-fixnum that are not self-evaluating 
but still cannot be modified.

Who came up with the term "Constant variable", anyway? They must have had an odd 
sense of humor.